package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.bo.LeaderRatioBO;
import com.dayou.entity.User;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.IdNameVO;
import com.dayou.vo.UserVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 基础用户 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface UserMapper extends CustomBaseMapper<User> {

    void saveOrUpdateById(@Param("user") User user);

    Page<UserVO> xPage(Page page, @Param("userVO") UserVO userVO);

    UserVO detail(@Param("id") Long id);

    Set<Long> getDepartmentIdByUserId(@Param("userId") Long userId);

    List<User> simplePostName(@Param("postName") String postName);

    List<UserVO> listPostName(@Param("postName") String postName);


    List<IdNameVO> usersByDepartment(@Param("departmentName")String departmentName);
}
